aboutsummaryrefslogtreecommitdiff
path: root/dist
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2009-10-21 12:38:19 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2009-10-21 12:38:19 +0200
commit04579ecc3a70ecf52418110cdaef92663be55dcb (patch)
tree89c35aee3dd55c664c020ae2cd1e7da0c7557401 /dist
parent4b65a4d2d14b40a82335c372da91bdfc4ab5b11e (diff)
nmakefile build system improvements
Print the directory name being entered. Stop after first failure.
Diffstat (limited to 'dist')
-rw-r--r--dist/examples/cxx/hybrid/binary/nmakefile10
-rw-r--r--dist/examples/cxx/hybrid/custom/nmakefile10
-rw-r--r--dist/examples/cxx/hybrid/nmakefile10
-rw-r--r--dist/examples/cxx/nmakefile10
-rw-r--r--dist/examples/cxx/parser/nmakefile10
-rw-r--r--dist/examples/cxx/serializer/nmakefile10
-rw-r--r--dist/examples/nmakefile10
-rw-r--r--dist/libxsde/nmakefile10
-rw-r--r--dist/nmakefile12
-rw-r--r--dist/tests/cxx/hybrid/nmakefile10
-rw-r--r--dist/tests/cxx/nmakefile10
-rw-r--r--dist/tests/cxx/parser/nmakefile10
-rw-r--r--dist/tests/cxx/parser/validation/built-in/nmakefile10
-rw-r--r--dist/tests/cxx/parser/validation/nmakefile10
-rw-r--r--dist/tests/cxx/serializer/nmakefile10
-rw-r--r--dist/tests/cxx/serializer/validation/built-in/nmakefile10
-rw-r--r--dist/tests/cxx/serializer/validation/nmakefile10
-rw-r--r--dist/tests/nmakefile10
18 files changed, 127 insertions, 55 deletions
diff --git a/dist/examples/cxx/hybrid/binary/nmakefile b/dist/examples/cxx/hybrid/binary/nmakefile
index 89db376..c154863 100644
--- a/dist/examples/cxx/hybrid/binary/nmakefile
+++ b/dist/examples/cxx/hybrid/binary/nmakefile
@@ -24,8 +24,12 @@ dirs = $(dirs) xdr
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/examples/cxx/hybrid/custom/nmakefile b/dist/examples/cxx/hybrid/custom/nmakefile
index fc5d6fe..7d70e98 100644
--- a/dist/examples/cxx/hybrid/custom/nmakefile
+++ b/dist/examples/cxx/hybrid/custom/nmakefile
@@ -16,8 +16,12 @@ dirs = $(dirs) wildcard
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/examples/cxx/hybrid/nmakefile b/dist/examples/cxx/hybrid/nmakefile
index d832f97..8bd74e6 100644
--- a/dist/examples/cxx/hybrid/nmakefile
+++ b/dist/examples/cxx/hybrid/nmakefile
@@ -28,8 +28,12 @@ dirs = $(dirs) minimal
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/examples/cxx/nmakefile b/dist/examples/cxx/nmakefile
index 110ed18..1ae0efb 100644
--- a/dist/examples/cxx/nmakefile
+++ b/dist/examples/cxx/nmakefile
@@ -2,8 +2,12 @@ dirs = hybrid parser serializer
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/examples/cxx/parser/nmakefile b/dist/examples/cxx/parser/nmakefile
index 1049fdb..8e88704 100644
--- a/dist/examples/cxx/parser/nmakefile
+++ b/dist/examples/cxx/parser/nmakefile
@@ -41,8 +41,12 @@ dirs = $(dirs) minimal
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/examples/cxx/serializer/nmakefile b/dist/examples/cxx/serializer/nmakefile
index 23f9524..cd87db8 100644
--- a/dist/examples/cxx/serializer/nmakefile
+++ b/dist/examples/cxx/serializer/nmakefile
@@ -37,8 +37,12 @@ dirs = $(dirs) minimal
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/examples/nmakefile b/dist/examples/nmakefile
index 2dea67e..b0cd59f 100644
--- a/dist/examples/nmakefile
+++ b/dist/examples/nmakefile
@@ -2,8 +2,12 @@ dirs = cxx
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/libxsde/nmakefile b/dist/libxsde/nmakefile
index aad7031..c8402d2 100644
--- a/dist/libxsde/nmakefile
+++ b/dist/libxsde/nmakefile
@@ -2,8 +2,12 @@ dirs = xsde
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/nmakefile b/dist/nmakefile
index 26d240e..146acc6 100644
--- a/dist/nmakefile
+++ b/dist/nmakefile
@@ -2,12 +2,16 @@ dirs = libxsde examples
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
-gen clean cleanobj:
+gen:
@for %i in ( $(dirs) tests ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) tests ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/tests/cxx/hybrid/nmakefile b/dist/tests/cxx/hybrid/nmakefile
index fefae35..b734898 100644
--- a/dist/tests/cxx/hybrid/nmakefile
+++ b/dist/tests/cxx/hybrid/nmakefile
@@ -34,8 +34,12 @@ dirs = $(dirs) choice
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/tests/cxx/nmakefile b/dist/tests/cxx/nmakefile
index 99a52a9..20c054e 100644
--- a/dist/tests/cxx/nmakefile
+++ b/dist/tests/cxx/nmakefile
@@ -10,8 +10,12 @@ dirs = $(dirs) hashmap
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/tests/cxx/parser/nmakefile b/dist/tests/cxx/parser/nmakefile
index b4e6d49..7125434 100644
--- a/dist/tests/cxx/parser/nmakefile
+++ b/dist/tests/cxx/parser/nmakefile
@@ -45,8 +45,12 @@ dirs = $(dirs) name-clash\inheritance
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/tests/cxx/parser/validation/built-in/nmakefile b/dist/tests/cxx/parser/validation/built-in/nmakefile
index 21e0040..eab59e2 100644
--- a/dist/tests/cxx/parser/validation/built-in/nmakefile
+++ b/dist/tests/cxx/parser/validation/built-in/nmakefile
@@ -20,8 +20,12 @@ dirs = $(dirs) long
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/tests/cxx/parser/validation/nmakefile b/dist/tests/cxx/parser/validation/nmakefile
index b417152..e8a2501 100644
--- a/dist/tests/cxx/parser/validation/nmakefile
+++ b/dist/tests/cxx/parser/validation/nmakefile
@@ -12,8 +12,12 @@ dirs = $(dirs) all any attribute choice restriction sequence
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/tests/cxx/serializer/nmakefile b/dist/tests/cxx/serializer/nmakefile
index 60f98e2..2709886 100644
--- a/dist/tests/cxx/serializer/nmakefile
+++ b/dist/tests/cxx/serializer/nmakefile
@@ -46,8 +46,12 @@ dirs = $(dirs) validation
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/tests/cxx/serializer/validation/built-in/nmakefile b/dist/tests/cxx/serializer/validation/built-in/nmakefile
index dc56ec7..c1edc1b 100644
--- a/dist/tests/cxx/serializer/validation/built-in/nmakefile
+++ b/dist/tests/cxx/serializer/validation/built-in/nmakefile
@@ -6,8 +6,12 @@ dirs = date-time decimal integer qname string
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/tests/cxx/serializer/validation/nmakefile b/dist/tests/cxx/serializer/validation/nmakefile
index 278f188..b63d446 100644
--- a/dist/tests/cxx/serializer/validation/nmakefile
+++ b/dist/tests/cxx/serializer/validation/nmakefile
@@ -10,8 +10,12 @@ dirs = $(dirs) any attribute choice element sequence
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"
diff --git a/dist/tests/nmakefile b/dist/tests/nmakefile
index 2dea67e..b0cd59f 100644
--- a/dist/tests/nmakefile
+++ b/dist/tests/nmakefile
@@ -2,8 +2,12 @@ dirs = cxx
all:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile" || exit 1
-gen test clean cleanobj:
+gen test:
@for %i in ( $(dirs) ) do \
-@cmd /c "cd %i & $(MAKE) /nologo /f nmakefile $@"
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@" || exit 1
+
+clean cleanobj:
+ @for %i in ( $(dirs) ) do \
+@cmd /c "echo entering %i && cd %i && $(MAKE) /nologo /f nmakefile $@"